Get Policy Limits
curl --request GET \
--url https://api.aegisintent.xyz/v1/policy \
--header 'Authorization: Bearer <token>' \
--header 'X-Aegis-Email: <x-aegis-email>'import requests
url = "https://api.aegisintent.xyz/v1/policy"
headers = {
"X-Aegis-Email": "<x-aegis-email>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-Aegis-Email': '<x-aegis-email>', Authorization: 'Bearer <token>'}
};
fetch('https://api.aegisintent.xyz/v1/policy', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"policy": {
"perTxLimitUsdc": 123,
"dailyLimitUsdc": 123,
"weeklyLimitUsdc": 123,
"monthlyLimitUsdc": 123
}
}Policy API
Get Policy Limits
Retrieve active transaction boundaries and current cumulative limit utilization from the Policy Engine.
GET
/
v1
/
policy
Get Policy Limits
Retrieve the active per-transaction, daily, weekly, and monthly stablecoin limit thresholds and current utilization balances monitored by the Aegis Policy Engine.
Authorizations
BearerAuthAegisEmail
Provide raw API session token issued by /v1/connect/complete
Headers
Agent email address
Was this page helpful?
⌘I